MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027094Open CASCADE[OCCT] OCCT:Testspublic2016-01-20 14:032016-04-20 15:50
Reporterapn 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027094: Create command checkdump for parsing dumps (geometry test group)
DescriptionCommand checkdump will parse output to analyze results (remove checks in end files in geometry)
Steps To Reproducetestgrid geometry
TagsNo tags attached.
Test case numbergeometry
Attached Files

- Relationships
parent of 0027109closedbugmaster Modifiy test cases using procedure checklength 

-  Notes
(0050068)
git (administrator)
2016-01-22 15:59

Branch CR27094 has been created by apn.

SHA-1: 44e59f7c1d31a17a078de0fc9d261c05bc63eb6a


Detailed log of new commits:

Author: apn
Date: Fri Jan 22 15:59:10 2016 +0300

    0027094: Create command checkdump for parsing dumps (geometry test group)
    
    checkdump - procedure to parse output dump and compare it with reference values;
    checklength - procedure to compute length of input shape.
    Added procedures and modified test group geometry.
(0050069)
apn (administrator)
2016-01-22 16:00

Dear abv, please review CR27094.
(0050087)
abv (manager)
2016-01-22 20:14

No remarks, please test
(0050138)
mkv (tester)
2016-01-26 20:12

Dear BugMaster,

Tests from branch CR27094 are tested on current master on Linux and Windows platforms.

Regressions/Differences/Improvements:
No regressions/differences
(0050139)
mkv (tester)
2016-01-26 20:12

Dear BugMaster,
Branch CR27094 is TESTED.
(0050169)
abv (manager)
2016-01-28 08:46

Andrey, please correct description of command checklength in CheckCommends.tcl: it is said to work with shapes, but actually works for curves. The first argument thus should be renamed from "shape" to "curve", I suppose
(0050178)
apn (administrator)
2016-01-28 11:52
edited on: 2016-01-28 12:52

We didn't update documentation for some check commands. I'll create new issue 0027120 for documentation and correct this description there.

(0053076)
git (administrator)
2016-04-17 14:07

Branch CR27094 has been deleted by kgv.

SHA-1: 44e59f7c1d31a17a078de0fc9d261c05bc63eb6a

- Related Changesets
occt: master 6cc6fc04
Timestamp: 2016-01-22 12:59:10
Author: apn
Committer: bugmaster
Details ] Diff ]
0027094: Create command checkdump for parsing dumps (geometry test group)

checkdump - procedure to parse output dump and compare it with reference values;
checklength - procedure to compute length of input shape.
Added procedures and modified test group geometry.
mod - src/DrawResources/CheckCommands.tcl Diff ] File ]
mod - tests/geometry/2dbeziecurve/A1 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A2 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A3 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A4 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A5 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A6 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A7 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A8 Diff ] File ]
mod - tests/geometry/2dbeziecurve/A9 Diff ] File ]
mod - tests/geometry/2dbeziecurve/B1 Diff ] File ]
mod - tests/geometry/2dbeziecurve/begin Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A1 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A2 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A3 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A4 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A5 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A6 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A7 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A8 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/A9 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B1 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B2 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B3 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B4 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B5 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B6 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/B7 Diff ] File ]
mod - tests/geometry/2dbsplinecurve/begin Diff ] File ]
mod - tests/geometry/beziecurve/A1 Diff ] File ]
mod - tests/geometry/beziecurve/A2 Diff ] File ]
mod - tests/geometry/beziecurve/A3 Diff ] File ]
mod - tests/geometry/beziecurve/A4 Diff ] File ]
mod - tests/geometry/beziecurve/A5 Diff ] File ]
mod - tests/geometry/beziecurve/A6 Diff ] File ]
mod - tests/geometry/beziecurve/A7 Diff ] File ]
mod - tests/geometry/beziecurve/A8 Diff ] File ]
mod - tests/geometry/beziecurve/A9 Diff ] File ]
mod - tests/geometry/beziecurve/B1 Diff ] File ]
mod - tests/geometry/beziecurve/B2 Diff ] File ]
mod - tests/geometry/beziecurve/B3 Diff ] File ]
mod - tests/geometry/beziecurve/B4 Diff ] File ]
mod - tests/geometry/beziecurve/B5 Diff ] File ]
mod - tests/geometry/beziecurve/begin Diff ] File ]
mod - tests/geometry/bsplinecurve/A1 Diff ] File ]
mod - tests/geometry/bsplinecurve/A2 Diff ] File ]
mod - tests/geometry/bsplinecurve/A3 Diff ] File ]
mod - tests/geometry/bsplinecurve/A4 Diff ] File ]
mod - tests/geometry/bsplinecurve/A5 Diff ] File ]
mod - tests/geometry/bsplinecurve/A6 Diff ] File ]
mod - tests/geometry/bsplinecurve/A7 Diff ] File ]
mod - tests/geometry/bsplinecurve/A8 Diff ] File ]
mod - tests/geometry/bsplinecurve/A9 Diff ] File ]
mod - tests/geometry/bsplinecurve/B1 Diff ] File ]
mod - tests/geometry/bsplinecurve/B2 Diff ] File ]
mod - tests/geometry/bsplinecurve/B3 Diff ] File ]
mod - tests/geometry/bsplinecurve/B4 Diff ] File ]
mod - tests/geometry/bsplinecurve/B5 Diff ] File ]
mod - tests/geometry/bsplinecurve/B6 Diff ] File ]
mod - tests/geometry/bsplinecurve/B7 Diff ] File ]
mod - tests/geometry/bsplinecurve/B8 Diff ] File ]
mod - tests/geometry/bsplinecurve/B9 Diff ] File ]
mod - tests/geometry/bsplinecurve/begin Diff ] File ]
mod - tests/geometry/bsplinecurve/C1 Diff ] File ]
mod - tests/geometry/bsplinecurve/C2 Diff ] File ]
mod - tests/geometry/bsplinecurve/C3 Diff ] File ]
mod - tests/geometry/circle/A1 Diff ] File ]
mod - tests/geometry/circle/A2 Diff ] File ]
mod - tests/geometry/circle/A3 Diff ] File ]
mod - tests/geometry/circle/A4 Diff ] File ]
mod - tests/geometry/circle/A5 Diff ] File ]
mod - tests/geometry/circle/A6 Diff ] File ]
mod - tests/geometry/circle/A7 Diff ] File ]
mod - tests/geometry/circle/A8 Diff ] File ]
mod - tests/geometry/circle/A9 Diff ] File ]
mod - tests/geometry/circle/B1 Diff ] File ]
mod - tests/geometry/circle/B2 Diff ] File ]
mod - tests/geometry/circle/B3 Diff ] File ]
mod - tests/geometry/circle/B4 Diff ] File ]
mod - tests/geometry/circle/B5 Diff ] File ]
mod - tests/geometry/circle/B6 Diff ] File ]
mod - tests/geometry/circle/B7 Diff ] File ]
mod - tests/geometry/circle/B8 Diff ] File ]
mod - tests/geometry/circle/B9 Diff ] File ]
mod - tests/geometry/circle/begin Diff ] File ]
mod - tests/geometry/circle/C1 Diff ] File ]
mod - tests/geometry/circle/C2 Diff ] File ]
mod - tests/geometry/circle/C3 Diff ] File ]
mod - tests/geometry/circle/C4 Diff ] File ]
mod - tests/geometry/circle/C5 Diff ] File ]
mod - tests/geometry/circle/C6 Diff ] File ]
mod - tests/geometry/circle/C7 Diff ] File ]
mod - tests/geometry/circle/C8 Diff ] File ]
mod - tests/geometry/circle/C9 Diff ] File ]
mod - tests/geometry/circle/D1 Diff ] File ]
mod - tests/geometry/circle/D2 Diff ] File ]
mod - tests/geometry/circle/D3 Diff ] File ]
mod - tests/geometry/circle/D4 Diff ] File ]
mod - tests/geometry/circle/D5 Diff ] File ]
mod - tests/geometry/circle/D6 Diff ] File ]
mod - tests/geometry/circle/D7 Diff ] File ]
mod - tests/geometry/circle/D8 Diff ] File ]
mod - tests/geometry/circle/D9 Diff ] File ]
mod - tests/geometry/circle/E1 Diff ] File ]
mod - tests/geometry/ellipse/A1 Diff ] File ]
mod - tests/geometry/ellipse/A2 Diff ] File ]
mod - tests/geometry/ellipse/A3 Diff ] File ]
mod - tests/geometry/ellipse/A4 Diff ] File ]
mod - tests/geometry/ellipse/A5 Diff ] File ]
mod - tests/geometry/ellipse/A6 Diff ] File ]
mod - tests/geometry/ellipse/A7 Diff ] File ]
mod - tests/geometry/ellipse/A8 Diff ] File ]
mod - tests/geometry/ellipse/A9 Diff ] File ]
mod - tests/geometry/ellipse/B1 Diff ] File ]
mod - tests/geometry/ellipse/B2 Diff ] File ]
mod - tests/geometry/ellipse/B3 Diff ] File ]
mod - tests/geometry/ellipse/B4 Diff ] File ]
mod - tests/geometry/ellipse/B5 Diff ] File ]
mod - tests/geometry/ellipse/B6 Diff ] File ]
mod - tests/geometry/ellipse/B7 Diff ] File ]
mod - tests/geometry/ellipse/B8 Diff ] File ]
mod - tests/geometry/ellipse/B9 Diff ] File ]
mod - tests/geometry/ellipse/begin Diff ] File ]
mod - tests/geometry/ellipse/C1 Diff ] File ]
mod - tests/geometry/ellipse/C2 Diff ] File ]
mod - tests/geometry/ellipse/C3 Diff ] File ]
mod - tests/geometry/ellipse/C4 Diff ] File ]
mod - tests/geometry/ellipse/C5 Diff ] File ]
mod - tests/geometry/ellipse/C6 Diff ] File ]
mod - tests/geometry/ellipse/C7 Diff ] File ]
mod - tests/geometry/ellipse/C8 Diff ] File ]
mod - tests/geometry/ellipse/C9 Diff ] File ]
mod - tests/geometry/ellipse/D1 Diff ] File ]
mod - tests/geometry/end Diff ] File ]
mod - tests/geometry/hyperbola/A1 Diff ] File ]
mod - tests/geometry/hyperbola/A2 Diff ] File ]
mod - tests/geometry/hyperbola/A3 Diff ] File ]
mod - tests/geometry/hyperbola/A4 Diff ] File ]
mod - tests/geometry/hyperbola/A5 Diff ] File ]
mod - tests/geometry/hyperbola/A6 Diff ] File ]
mod - tests/geometry/hyperbola/A7 Diff ] File ]
mod - tests/geometry/hyperbola/A8 Diff ] File ]
mod - tests/geometry/hyperbola/A9 Diff ] File ]
mod - tests/geometry/hyperbola/B1 Diff ] File ]
mod - tests/geometry/hyperbola/B2 Diff ] File ]
mod - tests/geometry/hyperbola/B3 Diff ] File ]
mod - tests/geometry/hyperbola/B4 Diff ] File ]
mod - tests/geometry/hyperbola/B5 Diff ] File ]
mod - tests/geometry/hyperbola/B6 Diff ] File ]
mod - tests/geometry/hyperbola/B7 Diff ] File ]
mod - tests/geometry/hyperbola/B8 Diff ] File ]
mod - tests/geometry/hyperbola/B9 Diff ] File ]
mod - tests/geometry/hyperbola/begin Diff ] File ]
mod - tests/geometry/hyperbola/C1 Diff ] File ]
mod - tests/geometry/hyperbola/C2 Diff ] File ]
mod - tests/geometry/hyperbola/C3 Diff ] File ]
mod - tests/geometry/hyperbola/C4 Diff ] File ]
mod - tests/geometry/hyperbola/C5 Diff ] File ]
mod - tests/geometry/iso/A1 Diff ] File ]
mod - tests/geometry/iso/A2 Diff ] File ]
mod - tests/geometry/iso/A3 Diff ] File ]
mod - tests/geometry/iso/A4 Diff ] File ]
mod - tests/geometry/iso/begin Diff ] File ]
mod - tests/geometry/law/A1 Diff ] File ]
mod - tests/geometry/law/A2 Diff ] File ]
mod - tests/geometry/law/A3 Diff ] File ]
mod - tests/geometry/law/A4 Diff ] File ]
mod - tests/geometry/law/begin Diff ] File ]
mod - tests/geometry/line/A1 Diff ] File ]
mod - tests/geometry/line/A2 Diff ] File ]
mod - tests/geometry/line/A3 Diff ] File ]
mod - tests/geometry/line/A4 Diff ] File ]
mod - tests/geometry/line/A5 Diff ] File ]
mod - tests/geometry/line/A6 Diff ] File ]
mod - tests/geometry/line/A7 Diff ] File ]
mod - tests/geometry/line/A8 Diff ] File ]
mod - tests/geometry/line/A9 Diff ] File ]
mod - tests/geometry/line/B1 Diff ] File ]
mod - tests/geometry/line/begin Diff ] File ]
mod - tests/geometry/parabola/A1 Diff ] File ]
mod - tests/geometry/parabola/A2 Diff ] File ]
mod - tests/geometry/parabola/A3 Diff ] File ]
mod - tests/geometry/parabola/A4 Diff ] File ]
mod - tests/geometry/parabola/A5 Diff ] File ]
mod - tests/geometry/parabola/A6 Diff ] File ]
mod - tests/geometry/parabola/A7 Diff ] File ]
mod - tests/geometry/parabola/A8 Diff ] File ]
mod - tests/geometry/parabola/A9 Diff ] File ]
mod - tests/geometry/parabola/B1 Diff ] File ]
mod - tests/geometry/parabola/B2 Diff ] File ]
mod - tests/geometry/parabola/B3 Diff ] File ]
mod - tests/geometry/parabola/B4 Diff ] File ]
mod - tests/geometry/parabola/B5 Diff ] File ]
mod - tests/geometry/parabola/B6 Diff ] File ]
mod - tests/geometry/parabola/B7 Diff ] File ]
mod - tests/geometry/parabola/B8 Diff ] File ]
mod - tests/geometry/parabola/B9 Diff ] File ]
mod - tests/geometry/parabola/begin Diff ] File ]
mod - tests/geometry/parabola/C1 Diff ] File ]
mod - tests/geometry/parabola/C2 Diff ] File ]
mod - tests/geometry/parabola/C3 Diff ] File ]
mod - tests/geometry/parabola/C4 Diff ] File ]
mod - tests/geometry/parabola/C5 Diff ] File ]
mod - tests/geometry/parabola/C6 Diff ] File ]
mod - tests/geometry/parabola/C7 Diff ] File ]
mod - tests/geometry/parabola/C8 Diff ] File ]
mod - tests/geometry/parabola/C9 Diff ] File ]
mod - tests/geometry/parabola/D1 Diff ] File ]
mod - tests/geometry/project/A1 Diff ] File ]
mod - tests/geometry/project/A2 Diff ] File ]
mod - tests/geometry/project/A3 Diff ] File ]
mod - tests/geometry/project/A4 Diff ] File ]
mod - tests/geometry/project/A5 Diff ] File ]
mod - tests/geometry/project/A6 Diff ] File ]
mod - tests/geometry/project/A7 Diff ] File ]
mod - tests/geometry/project/A8 Diff ] File ]
mod - tests/geometry/project/begin Diff ] File ]
mod - tests/geometry/revsurf/begin Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-01-20 14:03 apn New Issue
2016-01-20 14:03 apn Assigned To => apn
2016-01-20 14:03 apn Status new => assigned
2016-01-22 14:54 apn Test case number => testgrid geometry
2016-01-22 14:54 apn Summary Create command checkdump for parsing dumps (e.g. in geometry and offset test groups) => Create command checkdump for parsing dumps (geometry test group)
2016-01-22 14:54 apn Description Updated View Revisions
2016-01-22 14:54 apn Steps to Reproduce Updated View Revisions
2016-01-22 15:59 git Note Added: 0050068
2016-01-22 16:00 apn Note Added: 0050069
2016-01-22 16:00 apn Assigned To apn => abv
2016-01-22 16:00 apn Status assigned => resolved
2016-01-22 20:14 abv Note Added: 0050087
2016-01-22 20:14 abv Assigned To abv => bugmaster
2016-01-22 20:14 abv Status resolved => reviewed
2016-01-25 12:15 apn Relationship added parent of 0027109
2016-01-25 19:32 mkv Assigned To bugmaster => mkv
2016-01-26 20:12 mkv Note Added: 0050138
2016-01-26 20:12 mkv Note Added: 0050139
2016-01-26 20:12 mkv Assigned To mkv => bugmaster
2016-01-26 20:12 mkv Status reviewed => tested
2016-01-26 20:12 mkv Test case number testgrid geometry => geometry
2016-01-28 08:46 abv Note Added: 0050169
2016-01-28 08:46 abv Target Version 7.1.0 => 7.0.0
2016-01-28 11:52 apn Note Added: 0050178
2016-01-28 12:52 apn Note Edited: 0050178 View Revisions
2016-01-29 12:32 bugmaster Changeset attached => occt master 6cc6fc04
2016-01-29 12:32 bugmaster Status tested => verified
2016-01-29 12:32 bugmaster Resolution open => fixed
2016-04-17 14:07 git Note Added: 0053076
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker